* {
    margin: 0;
    padding: 0;
    border: none;
}

#page-content {
    flex-grow: 1;
    padding: 16px;
    margin: 0 auto;
    max-width: 1200px;
}

/* Page Title */
.page-title {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    padding-bottom: 16px;
    border-bottom: var(--thinBorderWidth) solid var(--pageHorizontalLine);
    margin-bottom: 16px;
    gap: 16px;
}

.page-title.responsive {
    flex-direction: column;
    gap: 16px;
}

.page-title-buttons {
    display: flex;
    gap: 8px;
    flex-wrap: wrap;
}

.back-to-previous-page {
    display: flex;
    align-items: center;
    gap: 16px;
}

/* Page Section Container */
.page-section-small, .page-section-big {
    padding: 16px;
    background-color: var(--white);
    margin-bottom: 16px;
    box-shadow: 0 4px 26px rgba(0,0,0,0.04);
}

.page-section-small.nopadding-m, .page-section-big.nopadding-m {
    padding: 0;
}

.page-section-small {
    width: 100%;
    max-width: 736px;
    margin-inline: auto;
}

/* Page filters */
.page-filters {
    padding: 16px;
    background-color: #F3F5FB;
    margin-bottom: 16px;
}

.page-filters-title {
    color: var(--lightGray);
}

.page-filters .filters-buttons {
    display: flex;
    justify-content: flex-end;
    gap: 8px;
}

/* Page Section Title */
.section-title {
    margin-bottom: 16px;
}

.section-title:is(div) {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    gap: 16px;
}

.section-footer {
    display: flex;
    justify-content: space-between;
    margin-top: 16px;
}

@media screen and (min-width: 500px) {
    .page-title.responsive {
        flex-direction: row;
        align-items: center;
    }
}

@media screen and (min-width: 1024px) {
    .page-wrapper {
        display: flex;
    }   
    #page-content {
        padding: 22px 40px;
    }
    .page-title {
        padding-bottom: 24px;
        margin-bottom: 24px;
    }
    .page-section-small, .page-section-big {
        padding: 24px;
        margin-bottom: 24px;
    }

    .page-section-small.nopadding-m, .page-section-big.nopadding-m {
        padding: 24px;
    }

    .section-footer {
        margin-top: 24px;
    }
}

/* Design System Elements */
.h1-semibold, .page-title h1 {
    font-family: 'Gilroy';
    font-style: normal;
    font-weight: 600;
    font-size: 24px;
    line-height: 32px;
}

h2 {
    font-family: 'Gilroy';
    font-style: normal;
    font-weight: 600;
    font-size: 20px;
    line-height: 28px;
}

h3 {
    font-family: 'Gilroy';
    font-style: normal;
    font-weight: 600;
    font-size: 18px;
    line-height: 24px;
}

h4 {
    font-family: 'Gilroy';
    font-style: normal;
    font-weight: 500 !important;
    font-size: 18px !important;
    line-height: 24px;
}

.p1-normal {
    font-family: 'Gilroy';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
}

.p1-medium {
    font-family: 'Gilroy';
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    line-height: 24px;
}

.p1-semibold {
    font-family: 'Gilroy';
    font-style: normal;
    font-weight: 600;
    font-size: 16px;
    line-height: 24px;
}

.p1-bold {
    font-family: 'Gilroy';
    font-style: normal;
    font-weight: 700;
    font-size: 16px;
    line-height: 24px;
}

.p2-semibold {
    font-family: 'Gilroy';
    font-style: normal;
    font-weight: 600;
    font-size: 14px;
    line-height: 20px;
}

.p2-medium {
    font-family: 'Gilroy';
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 20px;
}

.p2-regular {
    font-family: 'Gilroy';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
}

.p3-large {
    font-family: 'Gilroy';
    font-style: normal;
    font-weight: 700;
    font-size: 13px;
    line-height: 32px;
}
 
.p3-semibold {
    font-family: 'Gilroy';
    font-style: normal;
    font-weight: 600;
    font-size: 13px;
    line-height: 20px;
}

.p3-medium {
    font-family: 'Gilroy';
    font-style: normal;
    font-weight: 500;
    font-size: 13px;
    line-height: 20px;
}

.p3-regular {
    font-family: 'Gilroy';
    font-style: normal;
    font-weight: 400;
    font-size: 13px;
    line-height: 20px;
}

.p4-regular {
    font-family: 'Gilroy';
    font-style: normal;
    font-weight: 400;
    font-size: 12px;
    line-height: 16px;
}
 

.p4-medium {
    font-family: 'Gilroy';
    font-style: normal;
    font-weight: 500;
    font-size: 12px;
    line-height: 16px;
}
 

.p4-semibold {
    font-family: 'Gilroy';
    font-style: normal;
    font-weight: 600;
    font-size: 12px;
    line-height: 16px;
}